##### windows::basic_random_access_handle::close (1 of 2 overloads)

Inherited from windows::basic_overlapped_handle.

Close the handle.

    void close();

This function is used to close the handle. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `asio::error::operation_aborted` error.

###### Exceptions

asio::system_error

  Thrown on failure.